package betterwithmods.common.blocks;

import betterwithmods.common.items.ItemMaterial;
import betterwithmods.library.common.block.BlockBase;
import net.minecraft.block.SoundType;
import net.minecraft.block.material.MapColor;
import net.minecraft.block.material.Material;
import net.minecraft.block.state.IBlockState;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockAccess;

import javax.annotation.Nonnull;
import java.util.Random;

public class BlockNetherClay extends BlockBase {
    public BlockNetherClay() {
        super(Material.field_151571_B);
        this.func_149711_c(0.6F);
        this.func_149672_a(SoundType.field_185849_b);
        this.func_149647_a(CreativeTabs.field_78030_b);
    }

    @Nonnull
    @Override
    public MapColor func_180659_g(IBlockState state, IBlockAccess worldIn, BlockPos pos) {
        return MapColor.field_151655_K;
    }

    @Nonnull
    @Override
    public Item func_180660_a(IBlockState state, Random rand, int fortune) {
        return ItemMaterial.getItem(ItemMaterial.EnumMaterial.NETHER_SLUDGE);
    }

    public int func_149745_a(Random random) {
        return 4;
    }
}
