package betterwithmods.module.conversion.beacons;

import betterwithmods.library.utils.CapabilityUtils;
import net.minecraft.block.BlockEnderChest;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.init.Blocks;
import net.minecraft.inventory.InventoryEnderChest;
import net.minecraft.inventory.InventoryHelper;
import net.minecraft.stats.StatList;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.EnumHand;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

import javax.annotation.Nonnull;

public class BlockEnderchest extends BlockEnderChest {

    public BlockEnderchest() {
        func_149663_c("enderChest");
    }

    @Override
    public boolean func_180639_a(World world, @Nonnull BlockPos pos, IBlockState state, EntityPlayer player, EnumHand hand, EnumFacing facing, float hitX, float hitY, float hitZ) {
        if (world.func_180495_p(pos).func_177230_c().equals(Blocks.field_150477_bB)) {
            if (!world.field_72995_K && world.func_175625_s(pos) instanceof TileEnderchest) {
                TileEnderchest tile = (TileEnderchest) world.func_175625_s(pos);
                if (tile != null) {
                    InventoryEnderChest chest = tile.getType().getFunction().apply(tile, player);
                    if (!world.func_180495_p(pos.func_177984_a()).func_185915_l()) {
                        chest.func_146031_a(tile);
                        player.func_71007_a(chest);
                        player.func_71029_a(StatList.field_188090_X);
                    }
                }

            }
        }
        return true;
    }


    public void func_180663_b(World worldIn, @Nonnull BlockPos pos, @Nonnull IBlockState state) {
        TileEntity tile = worldIn.func_175625_s(pos);
        if (tile instanceof TileEnderchest && ((TileEnderchest) tile).getType() == TileEnderchest.Type.NONE) {
            EnderchestCap chest = CapabilityUtils.getCapability(tile, EnderchestCap.ENDERCHEST_CAPABILITY, EnumFacing.UP).orElse(null);
            if (chest != null) {
                InventoryHelper.func_180175_a(worldIn, pos, chest.getInventory());
                worldIn.func_175666_e(pos, this);
            }
        }
        super.func_180663_b(worldIn, pos, state);
    }

    public TileEntity func_149915_a(World worldIn, int meta) {
        return new TileEnderchest();
    }
}
