package betterwithmods.module.general.moreheads.client.model;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.entity.Entity;

public class ModelSlime extends ModelBase {

    private ModelRenderer slimeBodies;
    private ModelRenderer slimeRightEye;
    private ModelRenderer slimeLeftEye;
    private ModelRenderer slimeMouth;
    private ModelRenderer slimeGel;

    public ModelSlime() {
        this.slimeBodies = new ModelRenderer(this, 0, 16);
        this.slimeBodies.func_78789_a(-3.0F, -7, -3.0F, 6, 6, 6);
        this.slimeRightEye = new ModelRenderer(this, 32, 0);
        this.slimeRightEye.func_78789_a(-3.25F, -6, -3.5F, 2, 2, 2);
        this.slimeLeftEye = new ModelRenderer(this, 32, 4);
        this.slimeLeftEye.func_78789_a(1.25F, -6, -3.5F, 2, 2, 2);
        this.slimeMouth = new ModelRenderer(this, 32, 8);
        this.slimeMouth.func_78789_a(0.0F, -3, -3.5F, 1, 1, 1);
        this.slimeGel = new ModelRenderer(this, 0, 0);
        this.slimeGel.func_78789_a(-4.0F, -8, -4.0F, 8, 8, 8);

    }

    public void func_78088_a(Entity entityIn, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch, float scale) {
        this.func_78087_a(limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch, scale, entityIn);
        GlStateManager.func_179109_b(0.0F, 0.001F, 0.0F);
        this.slimeBodies.func_78785_a(scale);
        this.slimeRightEye.func_78785_a(scale);
        this.slimeLeftEye.func_78785_a(scale);
        this.slimeMouth.func_78785_a(scale);
        this.slimeGel.func_78785_a(scale);

    }

    @Override
    public void func_78087_a(float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch, float scaleFactor, Entity entityIn) {

        this.slimeBodies.field_78796_g = netHeadYaw * 0.017453292F;
        this.slimeBodies.field_78795_f = headPitch * 0.017453292F;

        this.slimeGel.field_78795_f = this.slimeBodies.field_78795_f;
        this.slimeGel.field_78796_g = this.slimeBodies.field_78796_g;

        this.slimeRightEye.field_78795_f = this.slimeBodies.field_78795_f;
        this.slimeRightEye.field_78796_g = this.slimeBodies.field_78796_g;

        this.slimeLeftEye.field_78795_f = this.slimeBodies.field_78795_f;
        this.slimeLeftEye.field_78796_g = this.slimeBodies.field_78796_g;

        this.slimeMouth.field_78795_f = this.slimeBodies.field_78795_f;
        this.slimeMouth.field_78796_g = this.slimeBodies.field_78796_g;
    }
}
