package betterwithmods.module.hardcore.world;

import betterwithmods.library.common.modularity.impl.Feature;
import betterwithmods.library.utils.ToolUtils;
import net.minecraft.init.Blocks;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;

/**
 * Created by primetoxinz on 4/20/17.
 */
public class HCHardness extends Feature {

    private static void rebalanceVanillaHardness() {
        Blocks.field_150344_f.func_149711_c(1.0F).func_149752_b(5.0F);
        Blocks.field_150364_r.func_149711_c(1.25F);
        Blocks.field_150363_s.func_149711_c(1.25F);
        Blocks.field_150322_A.func_149711_c(1.5F);
        Blocks.field_150486_ae.func_149711_c(1.5F);
        Blocks.field_150462_ai.func_149711_c(1.5F);
        Blocks.field_150460_al.func_149711_c(3.0F);
        Blocks.field_150470_am.func_149711_c(3.0F);

        Blocks.field_180413_ao.func_149711_c(1.5F);
        Blocks.field_180414_ap.func_149711_c(1.5F);
        Blocks.field_180412_aq.func_149711_c(1.5F);
        Blocks.field_180411_ar.func_149711_c(1.5F);
        Blocks.field_180410_as.func_149711_c(1.5F);
        Blocks.field_180409_at.func_149711_c(1.5F);

        Blocks.field_150456_au.func_149711_c(1.5F);
        Blocks.field_150421_aI.func_149711_c(1.5F).func_149752_b(10.0F);
        Blocks.field_180407_aO.func_149711_c(1.5F);
        Blocks.field_180408_aP.func_149711_c(1.5F);
        Blocks.field_180404_aQ.func_149711_c(1.5F);
        Blocks.field_180403_aR.func_149711_c(1.5F);
        Blocks.field_180405_aT.func_149711_c(1.5F);
        Blocks.field_180406_aS.func_149711_c(1.5F);
        Blocks.field_150426_aN.func_149711_c(0.6F);
        Blocks.field_150415_aT.func_149711_c(1.5F);
        Blocks.field_150418_aU.func_149711_c(1.5F);
        Blocks.field_150417_aV.func_149711_c(2.25F);

        Blocks.field_180390_bo.func_149711_c(1.5F).func_149752_b(5.0F);
        Blocks.field_180391_bp.func_149711_c(1.5F).func_149752_b(5.0F);
        Blocks.field_180392_bq.func_149711_c(1.5F).func_149752_b(5.0F);
        Blocks.field_180386_br.func_149711_c(1.5F).func_149752_b(5.0F);
        Blocks.field_180387_bt.func_149711_c(1.5F).func_149752_b(5.0F);
        Blocks.field_180385_bs.func_149711_c(1.5F).func_149752_b(5.0F);

        Blocks.field_150376_bx.func_149711_c(1.0F).func_149752_b(5.0F);
        Blocks.field_150449_bY.func_149711_c(1.0F).func_149752_b(5.0F);
        Blocks.field_150371_ca.func_149711_c(2.0F);
        Blocks.field_150370_cb.func_149711_c(2.0F);
    }

    private static void applyHCHardness() {
        Blocks.field_150480_ab.func_180686_a(Blocks.field_150362_t, 60, 100);
        Blocks.field_150480_ab.func_180686_a(Blocks.field_150361_u, 60, 100);
        rebalanceVanillaHardness();

        ToolUtils.setAxesAsEffectiveAgainst(Blocks.field_150375_by, Blocks.field_150465_bP, Blocks.field_150395_bd, Blocks.field_150321_G, Blocks.field_150434_aF);

        ToolUtils.setPickaxesAsEffectiveAgainst(Blocks.field_150442_at, Blocks.field_150359_w, Blocks.field_150399_cn, Blocks.field_150410_aZ, Blocks.field_150397_co,
                Blocks.field_150430_aB, Blocks.field_150331_J, Blocks.field_150320_F, Blocks.field_180384_M,
                Blocks.field_150426_aN, Blocks.field_150461_bJ, Blocks.field_150418_aU,
                Blocks.field_150379_bu, Blocks.field_150374_bv
        );
    }

    @Override
    public String getDescription() {
        return "Makes certain block hardness more \"realistic\"";
    }

    @Override
    public void onInit(FMLInitializationEvent event) {
        applyHCHardness();
    }

}
