package betterwithmods.module.recipes.breeding_harness.models;

import net.minecraft.client.model.ModelQuadruped;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.passive.EntitySheep;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

import betterwithmods.module.recipes.breeding_harness.models.ModelSheepHarness;

@SideOnly(Side.CLIENT)
public class ModelSheepHarness extends ModelQuadruped {
    private float headRotationAngleX;

    public ModelSheepHarness(float scale) {
        super(12, scale);
        this.field_78150_a = new ModelRenderer(this, 0, 0);
        this.field_78150_a.func_78790_a(-3.0F, -4.0F, -6.0F, 6, 6, 8, scale);
        this.field_78150_a.func_78793_a(0.0F, 6.0F, -8.0F);
        this.field_78148_b = new ModelRenderer(this, 28, 8);
        this.field_78148_b.func_78790_a(-4.0F, -10.0F, -7.0F, 8, 16, 6, scale);
        this.field_78148_b.func_78793_a(0.0F, 5.0F, 2.0F);
    }

    public void func_78086_a(EntityLivingBase entityLivingBase, float limbSwing, float limbSwingAmount, float partialTickTime) {
        super.func_78086_a(entityLivingBase, limbSwing, limbSwingAmount, partialTickTime);
        this.field_78150_a.field_78797_d = 6.0F + ((EntitySheep) entityLivingBase).func_70894_j(partialTickTime) * 9.0F;
        this.headRotationAngleX = ((EntitySheep) entityLivingBase).func_70890_k(partialTickTime);
    }


    public void func_78087_a(float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch, float scaleFactor, Entity entityIn) {
        super.func_78087_a(limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch, scaleFactor, entityIn);
        this.field_78150_a.field_78795_f = this.headRotationAngleX;
    }
}
