package betterwithmods.client.tesr;

import betterwithmods.client.model.render.RenderUtils;
import betterwithmods.common.blocks.BlockFurnace;
import net.minecraft.block.state.IBlockState;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.tileentity.TileEntityFurnace;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.ResourceLocation;

public class TESRFurnaceContent extends TileEntitySpecialRenderer<TileEntityFurnace> {

    public static final ResourceLocation FULL = new ResourceLocation("betterwithmods:blocks/furnace_full");

    @Override
    public void func_192841_a(TileEntityFurnace te, double x, double y, double z, float partialTicks, int destroyStage, float alpha) {
        if (te.func_70301_a(0).func_190926_b())
            return;

        IBlockState state = te.func_145831_w().func_180495_p(te.func_174877_v());

        if (state.func_177230_c() instanceof BlockFurnace) { //Listen, stop making ghost TEs and our mod won't crash it's simple shit really.
            EnumFacing facing = state.func_177229_b(BlockFurnace.field_176447_a);

            double x1 = x, z1 = z;
            if (facing.func_176740_k() == EnumFacing.Axis.X) {
                x1 += facing.func_82601_c() * 0.00025;
            } else {
                z1 += facing.func_82599_e() * 0.00025;
            }
            RenderUtils.renderFill(FULL, te.func_174877_v(), x1, y, z1, 0, 0, 0, 1, 1, 1, new EnumFacing[]{facing});
        }
    }


}
