package betterwithmods.common.entity.ai.eat;

import net.minecraft.entity.EntityCreature;
import net.minecraft.entity.passive.EntityWolf;
import net.minecraft.init.SoundEvents;
import net.minecraft.item.ItemStack;
import net.minecraft.item.crafting.Ingredient;

public class EntityAIMonsterEat extends EntityAIEatFood<EntityCreature> {

    private int cooldown;

    public EntityAIMonsterEat(EntityCreature entity, Ingredient validItem, double squareDistance) {
        super(entity, validItem, squareDistance);
    }

    @Override
    public boolean isReady() {
        if (cooldown-- < 0)
            cooldown = 0;
        return cooldown == 0;
    }

    @Override
    public void onEaten(ItemStack food) {
        // TODO: remove the task when a wolf is being tamed
        if (entity instanceof EntityWolf) {
            if (((EntityWolf) entity).func_70909_n()) {
                cooldown = 6000; // 5 minutes
                return;
            }
        }
        entity.func_184185_a(SoundEvents.field_187739_dZ, 1.0F, (entity.field_70170_p.field_73012_v.nextFloat() - entity.field_70170_p.field_73012_v.nextFloat()) * 0.2F + 1.0F);
        food.func_190918_g(1);
        cooldown = 200;
    }

}
