package betterwithmods.common.items;

import betterwithmods.lib.ModLib;
import betterwithmods.module.internal.PotionRegistry;
import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.item.ItemArmor;
import net.minecraft.item.ItemStack;
import net.minecraft.potion.PotionEffect;
import net.minecraft.world.World;

public class ItemEnderSpectacles extends ItemArmor {

    public ItemEnderSpectacles() {
        super(ItemArmor.ArmorMaterial.LEATHER, 0, EntityEquipmentSlot.HEAD);

    }

    @Override
    public void onArmorTick(World world, EntityPlayer player, ItemStack itemStack) {
        if (!player.func_70644_a(PotionRegistry.POTION_SLOWFALL))
            player.func_70690_d(new PotionEffect(PotionRegistry.POTION_TRUESIGHT, 0));
    }

    @Override
    public String getArmorTexture(ItemStack stack, Entity entity, EntityEquipmentSlot slot, String type) {
        return ModLib.MODID + ":textures/models/armor/ender_spectacles.png";
    }
}
