package betterwithmods.common.registry.advanceddispenser;

import betterwithmods.BetterWithMods;
import betterwithmods.lib.ModLib;
import betterwithmods.library.utils.DirUtils;
import betterwithmods.module.general.General;
import net.minecraft.dispenser.BehaviorDefaultDispenseItem;
import net.minecraft.dispenser.IBlockSource;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.item.ItemBlockSpecial;
import net.minecraft.item.ItemStack;
import net.minecraft.util.EnumActionResult;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.EnumHand;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.WorldServer;
import net.minecraftforge.common.util.FakePlayer;
import net.minecraftforge.common.util.FakePlayerFactory;

import javax.annotation.Nonnull;

public class BehaviorDiodeDispense extends BehaviorDefaultDispenseItem {
    @Nonnull
    @Override
    protected ItemStack func_82487_b(IBlockSource source, ItemStack stack) {
        EnumFacing facing = source.func_189992_e().func_177229_b(DirUtils.FACING);

        BlockPos check = source.func_180699_d().func_177972_a(facing);

        if (facing != EnumFacing.DOWN && facing != EnumFacing.UP && stack.func_77973_b() instanceof ItemBlockSpecial) {
            FakePlayer fake = FakePlayerFactory.get((WorldServer) source.func_82618_k(), ModLib.ADVANCED_DISPENSER);
            fake.func_184201_a(EntityEquipmentSlot.MAINHAND, stack);
            DirUtils.setEntityOrientationFacing(fake, facing);
            if (General.isDebug())
                BetterWithMods.LOGGER.debug("Better With Mods FakePlayer ID: " + fake.func_110124_au());
            if (stack.func_77973_b().func_180614_a(fake, source.func_82618_k(), check, EnumHand.MAIN_HAND, facing, 0.1F, 0.0F, 0.1F) == EnumActionResult.SUCCESS) {
                stack.func_190918_g(1);
                return stack.func_190926_b() ? ItemStack.field_190927_a : stack;
            } else {
                return stack;
            }
        } else {
            return stack;
        }
    }
}
