package betterwithmods.module.general;

import betterwithmods.common.blocks.BlockCobble;
import betterwithmods.library.common.modularity.impl.Feature;
import net.minecraft.block.BlockStone;
import net.minecraft.block.state.IBlockState;
import net.minecraft.init.Blocks;
import net.minecraftforge.event.world.BlockEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;


public class MoreCobble extends Feature {

    @SubscribeEvent
    public void dropCobble(BlockEvent.HarvestDropsEvent event) {
        if (!event.isSilkTouching() && !event.getWorld().field_72995_K) {
            IBlockState state = event.getState();
            if (state.func_177230_c() == Blocks.field_150348_b) {
                BlockStone.EnumType type = state.func_177229_b(BlockStone.field_176247_a);
                switch (type) {
                    case GRANITE:
                    case DIORITE:
                    case ANDESITE:
                        event.getDrops().clear();
                        event.getDrops().add(BlockCobble.getStack(BlockCobble.Type.convert(type)));
                }
            }
        }
    }

    @Override
    public String getDescription() {
        return "Makes stone variants drop into cobblestone.";
    }

    @Override
    public boolean hasEvent() {
        return true;
    }

}
