package betterwithmods.module.general.moreheads.client.heads;

import betterwithmods.module.general.moreheads.client.RenderHeadModel;
import betterwithmods.module.general.moreheads.client.model.ModelEndermanHead;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.client.renderer.OpenGlHelper;
import net.minecraft.util.ResourceLocation;

public class EndermanHead extends RenderHeadModel<ModelEndermanHead> {

    private static final ResourceLocation RES_ENDERMAN_EYES = new ResourceLocation("textures/entity/enderman/enderman_eyes.png");

    public EndermanHead() {
        super(new ModelEndermanHead(), new ResourceLocation("minecraft:textures/entity/enderman/enderman.png"));
    }

    @Override
    public void render(double x, double y, double z, float partialTicks, float rotation) {
        super.render(x, y, z, partialTicks, rotation);
    }


    public void renderEyes(float partialTicks, float rotation) {
        manager.func_110577_a(RES_ENDERMAN_EYES);
        GlStateManager.func_179147_l();
        GlStateManager.func_179118_c();
        GlStateManager.func_187401_a(GlStateManager.SourceFactor.ONE, GlStateManager.DestFactor.ONE);
        GlStateManager.func_179140_f();
        GlStateManager.func_179132_a(true);
        OpenGlHelper.func_77475_a(OpenGlHelper.field_77476_b, 61680.0F, 0.0F);
        GlStateManager.func_179145_e();
        GlStateManager.func_179131_c(1.0F, 1.0F, 1.0F, 1.0F);
        Minecraft.func_71410_x().field_71460_t.func_191514_d(true);
        model.func_78088_a(null, partialTicks, 0.0F, 0.0F, rotation, 0.0F, 0.0625F);
        Minecraft.func_71410_x().field_71460_t.func_191514_d(false);
        setLightmap();
        GlStateManager.func_179132_a(true);
        GlStateManager.func_179084_k();
        GlStateManager.func_179141_d();
    }
}
